from finance_dev import FinanceDev, models
import os
with FinanceDev(
security=models.Security(
client_id=os.getenv("FINANCE_DEV_CLIENT_ID", ""),
client_secret=os.getenv("FINANCE_DEV_CLIENT_SECRET", ""),
),
) as fd_client:
res = fd_client.financials.get_reported_financials(freq=models.ReportingFrequency.QUARTERLY)
assert res.financials_reported_response is not None
# Handle response
print(res.financials_reported_response)curl --request GET \
--url https://api.aries.com/v1/financials/reported \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/financials/reported', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/financials/reported",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/financials/reported"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/financials/reported")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/financials/reported")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"cik": "320193",
"data": [
{
"acceptedDate": "2025-05-02 06:00:46",
"accessNumber": "0000320193-25-000057",
"cik": "320193",
"endDate": "2025-03-29 00:00:00",
"filedDate": "2025-05-02 00:00:00",
"form": "10-Q",
"quarter": 2,
"report": {
"bs": [
{
"concept": "us-gaap_ComprehensiveIncomeNetOfTax",
"label": "Total comprehensive income",
"unit": "usd",
"value": 61919000000
}
]
},
"startDate": "2024-09-29 00:00:00",
"symbol": "AAPL",
"year": 2025
}
],
"symbol": "AAPL"
}
}Reported Financials
Retrieve as-reported financial data directly from SEC filings without standardization or adjustments. Access raw XBRL data for detailed financial analysis and audit purposes.
Use Case: Extract exact revenue figures as reported in 10-K filings for forensic accounting analysis.
from finance_dev import FinanceDev, models
import os
with FinanceDev(
security=models.Security(
client_id=os.getenv("FINANCE_DEV_CLIENT_ID", ""),
client_secret=os.getenv("FINANCE_DEV_CLIENT_SECRET", ""),
),
) as fd_client:
res = fd_client.financials.get_reported_financials(freq=models.ReportingFrequency.QUARTERLY)
assert res.financials_reported_response is not None
# Handle response
print(res.financials_reported_response)curl --request GET \
--url https://api.aries.com/v1/financials/reported \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/financials/reported', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/financials/reported",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/financials/reported"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/financials/reported")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/financials/reported")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"cik": "320193",
"data": [
{
"acceptedDate": "2025-05-02 06:00:46",
"accessNumber": "0000320193-25-000057",
"cik": "320193",
"endDate": "2025-03-29 00:00:00",
"filedDate": "2025-05-02 00:00:00",
"form": "10-Q",
"quarter": 2,
"report": {
"bs": [
{
"concept": "us-gaap_ComprehensiveIncomeNetOfTax",
"label": "Total comprehensive income",
"unit": "usd",
"value": 61919000000
}
]
},
"startDate": "2024-09-29 00:00:00",
"symbol": "AAPL",
"year": 2025
}
],
"symbol": "AAPL"
}
}Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
Query Parameters
Stock symbol, such as AAPL. Use it to narrow results to one company. Required when both cik and accessNumber are omitted.
SEC CIK. Optional when symbol or accessNumber is provided.
SEC access number. Optional when symbol or cik is provided.
Optional reporting frequency filter. Use it to limit results to annual or quarterly reports. How often the underlying data is reported:
annual— once per fiscal year (10-K, full-year statements).quarterly— once per fiscal quarter (10-Q, quarterly statements).
annual, quarterly "quarterly"
Optional start date in YYYY-MM-DD format. Use it to begin the research window.
Optional end date in YYYY-MM-DD format. Use it to end the research window.
Response
Reported financials.
Response containing company financials as reported in SEC filings.
Company identifiers and the list of reported SEC filings.
Show child attributes
Show child attributes
Was this page helpful?